SimpleMapDataBindingSource (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.databinding
[Groovy] Class SimpleMapDataBindingSource

    java.lang.Object
      org.grails.databinding.SimpleMapDataBindingSource

All Implemented Interfaces:
  DataBindingSource

    @groovy.transform.CompileStatic
    class SimpleMapDataBindingSource
    extends java.lang.Object

Field Summary
`protected java.util.Map` | `map`

Property Summary
`boolean` | `dataSourceAware`

Constructor Summary
`SimpleMapDataBindingSource(java.util.Map map)`

Method Summary
`boolean` | `containsProperty(java.lang.String propertyName)`
`java.lang.Object` | `getAt(java.lang.String propertyName)`
`java.lang.Object` | `getIdentifierValue()`
`java.util.Set` | `getPropertyNames()`
`java.lang.Object` | `getPropertyValue(java.lang.String propertyName)`
`boolean` | `hasIdentifier()`
`int` | `size()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### map

    protected java.util.Map map

Property Detail

### dataSourceAware

    boolean dataSourceAware

Constructor Detail

### SimpleMapDataBindingSource

    SimpleMapDataBindingSource(java.util.Map map)

Method Detail

### containsProperty

    boolean containsProperty(java.lang.String propertyName)

### getAt

    java.lang.Object getAt(java.lang.String propertyName)

### getIdentifierValue

    java.lang.Object getIdentifierValue()

### getPropertyNames

    java.util.Set getPropertyNames()

### getPropertyValue

    java.lang.Object getPropertyValue(java.lang.String propertyName)

### hasIdentifier

    boolean hasIdentifier()

### size

    int size()

Groovy Documentation